# WooCommerce Conotoxia Pay Gateway
The Conotoxia Pay Payment Gateway for WooCommerce adds new payment option for Clients.

## Table of contents
* [Requirements](#requirements)
* [Installation and activation](#installation-and-activation)
    * [Manual upload via WordPress admin panel](#manual-upload-via-wordpress-admin-panel)
    * [Manual plugin installation](#manual-plugin-installation)
* [Configuration](#configuration)
    * [Point of sale configuration in Merchant's panel](#point-of-sale-configuration-in-merchants-panelhttpsfxconotoxiacommerchant)

## Requirements
* WordPress 5.4.1
* WooCommerce 4.2.0
* PHP 7.1.26+
* PHP extensions:
  * curl
  * json
  * openssl
  * readline
  
## Installation and activation
The plugin is available for download from [conotoxia.com](https://conotoxia.com/payments/for-developers) website. The 
plugin can be installed in two ways - manual upload via WordPress admin panel or manual plugin installation on web 
server. If you are new to WordPress, we advise using manual upload via WordPress admin panel.

#### Manual upload via WordPress admin panel
1. In the administration panel, select `Plugins → Add New`, then select `Upload Plugin` button and select the zip file 
 you downloaded.
2. Activate the plugin by selecting `Activate` in `Plugins → Installed Plugins`.

#### Manual plugin installation
1. The downloaded plugin should be unpacked into `wp-content/plugins` directory on web server with your store files.
2. Activate the plugin by selecting `Activate` in `Plugins → Installed Plugins`.

## Configuration
1. Go to WooCommerce plugin settings panel `WooCommerce → Settings`.
2. Enter `Payments` section.
3. Look for `Conotoxia Pay` on payments methods list.
4. Click `Set up` button next to `Conotoxia Pay` payment method. 
5. Fill all fields in configuration page:
   - `API Client identifier` and `API Client secret` - API access data that can be obtained in [Merchant's panel](https://fx.conotoxia.com/merchant/configuration) in `Access data` section.
   - `Point of sale identifier*` - the identifier of the created point of sale.  
   - `Private key` - it is possible to generate a private key on the plugin configuration page. A public key is 
      generated from the private key entered on the plugin configuration page. This key is automatically transferred to 
      Conotoxia Pay when generating key. It is not necessary to enter the key in the Merchant's panel. Additional 
      instructions on how to generate keys can be found in the [documentation](https://conotoxia.com/developer/payments/online-shops#generating-a-public-key).
   - `Sandbox mode` - it is possible to test the module on a test environment. In order to gain access to the test 
      environment, go to the [conotoxia.com](https://conotoxia.com/contact-us/business).
6. Enable payment using `Enable/Disable` checkbox.

`*` Store and point of sale can be created through the wizard in the [Merchant's panel](https://fx.conotoxia.com/merchant/).  

### Point of sale configuration in the [Merchant's panel](https://fx.conotoxia.com/merchant)
The point of sale should be set up according to the configuration below:
- `Return url` - https://store.com/
- `URL for redirect after error` - https://store.com/
- `Payments notification url` - https://store.com/?wc-api=WC_Gateway_Conotoxia_Pay
- `Refunds notification url` - https://store.com/?wc-api=WC_Gateway_Conotoxia_Pay
- `Allowed URLs` - http://store.com/

Where there is a `store.com`, it should be replaced with your woocommerce shop domain.